%define name gstreamer0.10
%define oname gstreamer
%define version 0.10.12
%define release %mkrel 1
%define vname %{oname}10

%define major 0.10
%define majorminor 0.10
%define libname %mklibname %{name}_ %{major}
%define 	_glib2		2.2.0
%define 	_libxml2	2.4.0
%define build_docs 1

Name: 		%name
Summary: 	GStreamer Streaming-media framework runtime
Version: 	%version
Release: 	%release
License: 	LGPL
Group: 		Sound
URL:            http://gstreamer.freedesktop.org/
Source0: 	http://gstreamer.freedesktop.org/src/gstreamer/%{oname}-%{version}.tar.bz2
Patch1:		gstreamer-0.10.11-ppc.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires: 	glib2-devel >= %_glib2
BuildRequires: 	libxml2-devel >= %_libxml2
BuildRequires:	popt-devel
BuildRequires:	gettext-devel
BuildRequires:  libcheck-devel
BuildRequires:  valgrind
%ifarch %ix86 
BuildRequires: 	nasm => 0.90
%endif
BuildRequires: 	bison
BuildRequires:  flex
%if %build_docs
BuildRequires: 	gtk-doc >= 0.7
BuildRequires: 	transfig
BuildRequires:  docbook-dtd42-xml
BuildRequires:  ghostscript
BuildRequires:  python-pyxml
%endif

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.

%package tools
Summary: GStreamer Streaming-media framework runtime
Group: 	Sound
Provides: %vname-tools = %version-%release
Provides: gstreamer
Obsoletes: gstreamer

%description tools
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.

%package -n %libname
Summary: Libraries for GStreamer streaming-media framework
Group: System/Libraries
Requires: %name-tools >= %version-%release
Provides: libgstreamer%{majorminor} = %version-%release

%description -n %libname
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%package -n %libname-devel
Summary: Libraries and include files for GStreamer streaming-media framework
Group: Development/C
Requires: %{libname} = %{version}
Requires: libglib2-devel
Requires: libxml2-devel
Provides: libgstreamer-devel = %version-%release
Provides: libgstreamer%{majorminor}-devel = %version-%release

%description -n%libname-devel
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new   
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %oname-%version
%patch1 -p1 -b .ppc

%build
%configure2_5x  --enable-debug --disable-dependency-tracking \
  --with-cachedir=%{_var}/cache/%{oname}-%{majorminor} \
  --with-configdir=%{_sysconfdir}/%{oname} \
  --disable-tests --disable-examples \
%if %build_docs
  --enable-docbook --enable-gtk-doc \
%else	
  --disable-docbook --disable-gtk-doc \
%endif
 --with-html-dir=%_datadir/gtk-doc/html

make

%check
cd tests/check
make check

%install  
rm -rf $RPM_BUILD_ROOT  installed-docs
%makeinstall_std
mkdir -p $RPM_BUILD_ROOT%{_var}/cache/%{oname}-%{majorminor}
#clean the files we don't want to install 
rm -f $RPM_BUILD_ROOT%{_libdir}/%{oname}-%{majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/%{oname}-%{majorminor}/*.a
rm -f %buildroot/%_libdir/*a 
rm -f %buildroot/%{_bindir}/gst-feedback
rm -f %buildroot/%{_bindir}/gst-inspect
rm -f %buildroot/%{_bindir}/gst-launch
rm -f %buildroot/%{_bindir}/gst-md5sum
rm -f %buildroot/%{_bindir}/gst-typefind
rm -f %buildroot/%{_bindir}/gst-xmlinspect
rm -f %buildroot/%{_bindir}/gst-xmllaunch


%find_lang %oname-%majorminor
%if %build_docs
mv %buildroot%_datadir/doc/%oname-%majorminor/ installed-docs
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files tools -f %oname-%majorminor.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README NEWS
%dir %{_var}/cache/%{oname}-%{majorminor}
%{_bindir}/gst-feedback-%majorminor
%{_bindir}/gst-inspect-%majorminor
%{_bindir}/gst-launch-%majorminor
%{_bindir}/gst-typefind-%majorminor
%{_bindir}/gst-xmlinspect-%majorminor
%{_bindir}/gst-xmllaunch-%majorminor
%{_mandir}/man1/gst-feedback-%majorminor.1.*
%{_mandir}/man1/gst-inspect-%majorminor.1.*
%{_mandir}/man1/gst-launch-%majorminor.1.*
%{_mandir}/man1/gst-typefind-%majorminor.1.*
%{_mandir}/man1/gst-xmlinspect-%majorminor.1.*
%{_mandir}/man1/gst-xmllaunch-%majorminor.1.*
# gw this must always be in a package named gstreamer-tools
#%files -n gstreamer-tools
#%defattr(-, root, root, -)
#%{_bindir}/gst-feedback
#%{_bindir}/gst-inspect
#%{_bindir}/gst-launch
#%{_bindir}/gst-md5sum
#%{_bindir}/gst-typefind
#%{_bindir}/gst-xmlinspect
#%{_bindir}/gst-xmllaunch


%files -n %libname
%defattr(-, root, root)
%dir %{_libdir}/%{oname}-%{majorminor}
%{_libdir}/libgstbase-%majorminor.so.*
%{_libdir}/libgstcheck-%majorminor.so.*
%{_libdir}/libgstdataprotocol-%majorminor.so.*
%{_libdir}/libgstreamer-%{majorminor}.so.*
%{_libdir}/libgstnet-%{majorminor}.so.*
%{_libdir}/libgstcontroller-%{majorminor}.so.*
%{_libdir}/%{oname}-%{majorminor}/libgstcoreelements.so
%{_libdir}/%{oname}-%{majorminor}/libgstcoreindexers.so

%files -n %libname-devel
%defattr(-, root, root)
%doc ChangeLog TODO
%if %build_docs
%doc installed-docs/*
%endif
%dir %{_includedir}/%{oname}-%{majorminor}
%dir %{_includedir}/%{oname}-%{majorminor}/gst
%{_includedir}/%{oname}-%{majorminor}/gst/*.h
%dir %{_includedir}/%{oname}-%{majorminor}/gst/base/
%{_includedir}/%{oname}-%{majorminor}/gst/base/*.h
%{_includedir}/%{oname}-%{majorminor}/gst/check/
%dir %{_includedir}/%{oname}-%{majorminor}/gst/controller/
%{_includedir}/%{oname}-%{majorminor}/gst/controller/*.h
%dir %{_includedir}/%{oname}-%{majorminor}/gst/dataprotocol/
%{_includedir}/%{oname}-%{majorminor}/gst/dataprotocol/*.h
%{_includedir}/%{oname}-%{majorminor}/gst/net/
%{_libdir}/libgstbase-%majorminor.so
%{_libdir}/libgstcheck-%majorminor.so
%{_libdir}/libgstdataprotocol-%majorminor.so
%{_libdir}/libgstreamer-%{majorminor}.so
%{_libdir}/libgstnet-%{majorminor}.so
%{_libdir}/libgstcontroller-%{majorminor}.so
%{_datadir}/aclocal/gst-element-check-%{majorminor}.m4
%{_libdir}/pkgconfig/gstreamer-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-base-%majorminor.pc
%{_libdir}/pkgconfig/gstreamer-check-%majorminor.pc
%{_libdir}/pkgconfig/gstreamer-dataprotocol-%majorminor.pc
%{_libdir}/pkgconfig/gstreamer-net-%majorminor.pc
%{_libdir}/pkgconfig/gstreamer-controller-%{majorminor}.pc
%if %build_docs
## we specify the API docs as regular files since %docs doesn't fail when
#  files aren't found anymore for RPM >= 4
#  we list all of the files we really need to trap incomplete doc builds
#  then we catch the rest with *, you can safely ignore the errors from this
## gstreamer API
%dir %{_datadir}/gtk-doc/html/%{oname}-%{majorminor}
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-%{majorminor}.devhelp
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstBin.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstClock.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstObject.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstPipeline.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstPluginFeature.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-support.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstXML.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/index.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/index.sgml
## gstreamer-libs API
%dir %{_datadir}/gtk-doc/html/%{oname}-libs-%{majorminor}
%{_datadir}/gtk-doc/html/%{oname}-libs-%{majorminor}/%{oname}-libs-%{majorminor}.devhelp
%{_datadir}/gtk-doc/html/%{oname}-libs-%{majorminor}/%{oname}-libs.html
%{_datadir}/gtk-doc/html/%{oname}-libs-%{majorminor}/index.html
%{_datadir}/gtk-doc/html/%{oname}-libs-%{majorminor}/index.sgml
## this catches all of the rest of the docs we might have forgotten
%{_datadir}/gtk-doc/html/*
%endif


%changelog
* Thu Mar 08 2007 Götz Waschk <waschk@mandriva.org> 0.10.12-1mdv2007.1
+ Revision: 138421
- new version
- drop patch 0

* Mon Jan 29 2007 Götz Waschk <waschk@mandriva.org> 0.10.11-4mdv2007.1
+ Revision: 115063
- rebuild for new libcheck

* Wed Jan 24 2007 Götz Waschk <waschk@mandriva.org> 0.10.11-3mdv2007.1
+ Revision: 112749
- patch to fix upstream bug 391777 (SIGSEGV handler in mono apps)

* Sun Dec 10 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.10.11-2mdv2007.1
+ Revision: 94444
- patch1: fix lib/gdp test for ppc

* Thu Dec 07 2006 Götz Waschk <waschk@mandriva.org> 0.10.11-1mdv2007.1
+ Revision: 91976
- enable checks
- fix buildrequires
- new version
- update file list
- Import gstreamer0.10



* Fri Sep 15 2006 Götz Waschk <waschk@mandriva.org> 0.10.10-1mdv2007.0
- New version 0.10.10

* Sun Jul 16 2006 Götz Waschk <waschk@mandriva.org> 0.10.9-1
- New release 0.10.9

* Sun Jun 11 2006 Götz Waschk <waschk@mandriva.org> 0.10.8-1
- New release 0.10.8

* Sat Jun 10 2006 Götz Waschk <waschk@mandriva.org> 0.10.7-1mdk
- New release 0.10.7

* Sun May 14 2006 Götz Waschk <waschk@mandriva.org> 0.10.6-1mdk
- New release 0.10.6

* Sat Apr 29 2006 Gtz Waschk <waschk@mandriva.org> 0.10.5-1mdk
- update file list
- New release 0.10.5

* Sat Mar 11 2006 Götz Waschk <waschk@mandriva.org> 0.10.4-1mdk
- New release 0.10.4

* Mon Feb 13 2006 Götz Waschk <waschk@mandriva.org> 0.10.3-1mdk
- New release 0.10.3

* Tue Jan 17 2006 Götz Waschk <waschk@mandriva.org> 0.10.2-1mdk
- New release 0.10.2

* Mon Jan 16 2006 Gtz Waschk <waschk@mandriva.org> 0.10.1-2mdk
- fix buildrequires

* Tue Dec 27 2005 Götz Waschk <waschk@mandriva.org> 0.10.1-1mdk
- New release 0.10.1
- use mkrel

* Tue Dec  6 2005 Gtz Waschk <waschk@mandriva.org> 0.10.0-2mdk
- fix libname

* Tue Dec  6 2005 Gtz Waschk <waschk@mandriva.org> 0.10.0-1mdk
- fix package naming to be parallel installable
- New release 0.10.0
- update file list
- new major

* Wed Sep 14 2005 Frederic Crozat <fcrozat@mandriva.com> 0.8.11-2mdk
- fix prereq

* Mon Sep 05 2005 Frederic Crozat <fcrozat@mandriva.com> 0.8.11-1mdk 
- Release 0.8.11

* Sun Jul 31 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.10-2mdk
- Fix provide

* Tue May 03 2005 Gtz Waschk <waschk@mandriva.org> 0.8.10-1mdk
- New release 0.8.10

* Thu Feb 10 2005 Götz Waschk <waschk@linux-mandrake.com> 0.8.9-1mdk
- New release 0.8.9

* Mon Dec 27 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.8-1mdk
- New release 0.8.8

* Tue Dec 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.7.2-1mdk
- add new file
- drop merged patch 0
- New prerelease 0.8.7.2

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.8.7-3mdk
- Rebuild for new python

* Tue Nov 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.7-2mdk
- Patch0 (CVS): fix URI escaping

* Tue Nov  9 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.7-1mdk
- New release 0.8.7

* Thu Aug 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.5-2mdk
- Call gst-register in lib package scripts since main package no longer exists

* Mon Aug 16 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.5-1mdk
- New release 0.8.5

* Wed Jul 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.4-1mdk
- add gst-xmlinspect man page
- drop merged patch
- New release 0.8.4

* Wed Jun 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.3-3mdk
- reenable docs
- replace patch with solution from CVS

* Sat Jun 19 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.8.3-2mdk
- add BuildRequires: gettext-devel

* Tue Jun  8 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.3-1mdk
- disable docs
- update patch with a different fix
- new version

* Wed Jun  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1.3-1mdk
- new prerelease

* Fri May 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1.2-2mdk
- reenable docs
- fix crash of all gstreamer apps (d'Oh)

* Wed May 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1.2-1mdk
- update file list
- reallow libtoolize
- disable docs build, there was some problem
- drop patch
- fix URL
- New release 0.8.1.2

* Thu May 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-2mdk
- fix doc listing

* Thu Apr 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-1mdk
- fix file list
- new version

* Tue Apr  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-2mdk
- provide and obsolete gstreamer to fix upgrades

* Tue Apr  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- include unversioned command line tools
- rename package from gstreamer0.7
- new major
- fix post call
- new version

* Fri Feb  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.4-2mdk
- fix file list
- reenable docs

* Fri Feb  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.4-1mdk
- disable the docs build
- fix file list
- new version

* Mon Dec 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-2mdk
- patch dtds of the docbook manuals to allow build without network connection
- fix docs requirement

* Sun Dec 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-1mdk
- fix docs installation
- new version

* Mon Dec  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.2-1mdk
- move tools to the tools package
- fix requires
- fix file list
- rename to gstreamer0.7
- add translations
- add new binaries
- remove cputoolize call
- buildrequire xmlto for the docs
- fix doc installation
- drop patch
- new version

* Tue Nov  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.4-1mdk
- disable docs build (bug #6139)
- buildrequire xmlto for the docs
- drop patch
- new version

* Fri Sep 26 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.6.3-2mdk
- cputoolize

* Wed Aug 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.3-1mdk
- patch to remove Werror flag
- new version

* Mon Jul 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-3mdk
- fix Bug 4357

* Wed Jul  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-2mdk
- rebuild for new rpm

* Tue Jun 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-1mdk
- add gst-typefind
- fix doc file listing
- fix devhelp installation
- new version

* Fri May 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-4mdk
- fix buildrequires

* Wed May 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-3mdk
- move plugins to libpackage to ease parallel installation

* Mon May  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-2mdk
- fix buildrequires

* Mon Apr 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-1mdk
- update file list
- new version

* Tue Apr  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-3mdk
- buildrequires flex

* Sun Feb  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-2mdk
- fix major

* Sun Feb  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-1mdk
- add gstreamer-control-0.6.pc
- new version

* Thu Jan 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.2-1mdk
- mklibname macro
- new major
- new version

* Tue Jan  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- sync file list
- new major version
- drop workarounds for older rpm
- relax buildrequires for docbook-style-xsl
- drop obsoleted patch
- new version

* Wed Dec 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-3mdk
- only buildrequire nasm on the x86 architecture

* Thu Dec 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-2mdk
- change cache dir from /var/lib/cache to /var/cache

* Wed Dec 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-1mdk
- provide gstreamer-tools for compatibility with offical package
- update the patch
- update file list 
- new version 

* Tue Nov 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-3mdk
- clean installed files we don't ship
- add missing gst-feedback man page

* Wed Nov  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-2mdk
- prereq libgstreamer to make the scripts work

* Tue Nov  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-1mdk
- sync with official spec file
- patch xsl stylesheet to fix generation of the manual
- add libgstcontrol library to libgstreamer package
- fix file listing
- drop the patch
- remove the buildconflict with libxslt-proc
- lower optimization to fix program
- new version

* Tue Jul  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-3mdk
- buildconflicts libxslt-proc
- some more docs
- update buildrequires for doc generation

* Sun Jul  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-2mdk
- some spec cleanup
- loosen dependancy on main package in lib package to ease upgrades

* Sat Jul  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-1mdk
- disable parallel build
- fix python location
- sync with official spec file
- 0.4.0

* Wed Jul  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.4-3mdk
- fix major version to please rpmlint
- spec file fixes

* Mon Jul 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.4-2mdk
- oops forget changelog
- libification
- mode macros

* Tue Jun 25 2002 Charles A Edwards <eslrahc@bellsouth.net> 0.3.4-1mdk
- initial Mandrake build
- modified other spec
